<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia.locale.php");
require_once("../includes/funciones_generales.php");
$sesion->set('permiso',permisos($_POST['privilegio']));	
function compress_page($buffer) { $search = array('/\>[^\S ]+/s','/[^\S ]+\</s','/(\s)+/s'); $replace = array('> ',' <','\\1'); return preg_replace($search, $replace, $buffer); }
ob_start("compress_page");

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}
//require_once("../includes/Parser.php");
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Boletines</title>
<script type="text/javascript" src="../js/jquery.js"></script>
<link href="../css/formato_boletin.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
$(document).ready(function(e) {
	var img=$('img');
	img.each(function(index, element) {
		var src=$(this).attr('src');
		$(this).attr('src','../'+src);	
	});
	
	/*window.print();
	window.close();*/
}); 
</script>

</head>
<body>
	<?php 
	require_once("../includes/MySQL.php");
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	
	$iduser=$sesion->get('ac_userid');
	$configuracion=$sesion->get('configuracion');
	$nombre_grupo=$configuracion['nombres_grupos'];
	
	$grado=$academia->escapar($_GET['grado']); 
	$grupo=$academia->escapar($_GET['grupo'],'int');
	$director=$academia->escapar($_GET['DIR']);
	$jornada=$academia->escapar($_GET['jorn']);
	
	$sede=$academia->escapar(ucwords(strtolower($_GET['sede']))); 
	$seccion=$academia->escapar($_GET['secc']); 
	$periodon=$academia->escapar($_GET['peri'],'int'); 
	
	switch ($periodon) {
	case 1:
		$periodo= "Primero";
	break;
	case 2:
		$periodo= "Segundo";
	break;
	case 3:
		$periodo= "Tercero";
	break;
	case 4:
		$periodo= "Cuarto";
	break;
	case 5:
		$periodo= "Quinto";
	break;
	case 6:
		$periodo= "Sexto";
	break;
	case 7:
		$periodo= "Séptimo";
	break;
	case 8:
		$periodo= "Octavo";
	break;
	case 9:
		$periodo= "Noveno";
	break;
	case 10:
		$periodo= "Décimo";
	break;
	case 11:
		$periodo= "Décimo Primero";
	break;
	case 12:
		$periodo= "Décimo Segundo";
	break;
	} 
		
		$academia->instruccion("SELECT ide_adtivo, LCASE(CONCAT_WS(' ', no1_adtivo, no2_adtivo,ape1_adtivo, ape2_adtivo)) nom_ape FROM adm_administrativos WHERE cod_cargo=1 or cod_cargo=2 order by cod_cargo");
		$regFirmantes=$academia->fetchAll();
		$nom_rector=$regFirmantes[0]['nom_ape'];
		
		$sql="call SP_BOLETINES_GRUPO_GENERICO($grupo,$periodon,'$iduser')"; 
		//$sql="call SP_BOLETINES_INDIVIDUAL_GENERICO ($cod_estudiantes,$grupo,$periodon,'$iduser')"; 
		#$sql="call SP_BOLETIN_INDIVIDUAL($cod_estudiantes,$grupo,$periodon,'$iduser')";
		$academia->instruccion($sql);
		echo '<div style="display:none">'.$sql.'</div>';
		unset($sql);
		$row=$academia->extraer_registro();
		$dtsColegio=$sesion->get('info_colegio');
		$encabezado=$dtsColegio['enca_boletin'];

		do{  
	?>
			<?php 
				echo '<div id="pageBoletin">';
				echo $encabezado;
				$notest=json_decode($row['notas'],true);
				$infcom=json_decode($row['comportamiento'],true);
			?>
			<table width='1293px' class='boletin' cellspacing="1">
				<tr>
					<td><div class='spancabecera'>Id:&nbsp;&nbsp;<?php echo  $notest[dc_est]; ?></div></td>
					<td><div class='spancabecera'>Estudiante:&nbsp;&nbsp;<?php echo strtoupper($notest[no_est]); ?></div></td>
					<td><div class='spancabecera'>Grado: &nbsp;&nbsp;<?php echo $grado; ?></div></td>
					<td><div class='spancabecera'>Puesto en el grupo:&nbsp;&nbsp; <?php echo $notest[pto_gru]; ?></div></td>
				</tr>
				<tr>
					<td colspan="4">
						<table class='boletin' >
							<tr> 
								<td style="width:40%"><div class='spancabecera'>Sede:&nbsp;&nbsp;<?php echo $sede;  $observa=""; ?></div></td>
								<td style="width:40%"><div class='spancabecera'>Jornada:&nbsp;&nbsp;<?php echo $jornada; ?></div></td>
								<td style="width:20%"><div class='spancabecera'>Periodo:&nbsp;&nbsp;<?php echo $periodo; ?></div></td>
							</tr>
						</table> 
				   </td>
				</tr>
				<tr> 
					<td colspan="4">
						<table width="100%" cellspacing="1" class='boletin' >
							 <tr>
								 <td width="27%" rowspan=2 class='spancabecera'>Asignatura</td>
								 <td width="5%"  rowspan=2 class='spancabecera'>Puesto Asig.</td>
								 <td width="15%" colspan=2 class='spancabecera'>Desempeño</td>
								 <td width="5%"  rowspan=2 class='spancabecera'>Fal jus</td>
								 <td width="5%"  rowspan=2 class='spancabecera'>Fal inj</td>
								 <td width="20%" colspan="4" class='spancabecera'>Periodos Anteriores</td>
								  <td width="28%" rowspan=2 class='spancabecera'>Docente</td>
							   </tr>  
						   
							 <tr>
							 	<td width="5%" class="spancabecera">Num</td>
							 	<td width="10%" class="spancabecera">Val</td>
								 <td class="bordes_arriba spancabecera" width="5%">1</td>
								 <td class="bordes_arriba spancabecera" width="5%">2</td>
								 <td class="bordes_arriba spancabecera" width="5%">3</td>
								 <td class="bordes_arriba spancabecera" width="5%">4</td>
								 
							 </tr>
							
							   
							<?php 
								$materias=$notest['materias'];	
								foreach($materias as $rmat):
									$historicos=$rmat['historicos'] 
								?>
							<tr>
								<td ><?php echo ucfirst($rmat['no_asi']); ?></td>
								<td ><?php echo ucfirst($rmat['puesto']); ?></td>
								<td  width="5%"><?php echo ucfirst($rmat['nn']); ?></td>
								<td  width="10%" ><?php echo ucfirst($rmat['nl']); ?></td>
								<td  ><?php echo ucfirst($rmat['fj']); ?></td>
								<td  ><?php echo ucfirst($rmat['fi']); ?></td>    
								<td class="bordes_arriba"><?php echo ucfirst($historicos[0]);  ?></td>
								<td class="bordes_arriba"><?php echo ucfirst($historicos[1]);  ?></td>
								<td class="bordes_arriba"><?php echo ucfirst($historicos[2]);  ?></td>
								<td class="bordes_arriba"><?php echo ucfirst($historicos[3]);  ?></td>
								<td class="bordes_arriba"><?php echo ucwords($rmat['dte']);  ?></td>
							</tr>
					  <?php 
							if(empty($observa))
								$observa=ucwords($rmat['obs_asi']);
							else
								$observa='<br/>'.ucwords($rmat['obs_asi']);
						endforeach; 
					  ?>
						</table>
					</td>
			  </tr>
		   </table>
			<br />
			<table width="60%" cellspacing="1" class='boletin'>
			  <tr>
				<td colspan="3"  width="35%" ><div class='spancabecera'>FALTAS DE COMPORTAMIENTO</div></td>
				<td colspan="4"   width="65%"><div class='spancabecera'>NIVEL DE COMPORTAMIENTO</div></td>
			  </tr>
			  <tr>
				<td width="15%" rowspan="2"><div class='spancabecera'>LEVES</div></td>
				<td width="15%" rowspan="2"><div class='spancabecera'>GRAVES</div></td>
				<td width="15%" rowspan="2"><div class='spancabecera'>GRAVÍSIMAS</div></td>
				<td colspan="4" ><div class='spancabecera'>PERIODOS</div></td>
			  </tr>
				  <tr>
					<td width="11%"><div class='spancabecera'>1</div></td>
					<td width="11%"><div class='spancabecera'>2</div></td>
					<td width="11%"><div class='spancabecera'>3</div></td>
					<td width="12%"><div class='spancabecera'>4</div></td>
				  </tr>
			
		   <?php
				$pierdex=$infcom['pierde'];
				foreach($infcom as $rcom):
					$faltas=$rcom['faltas'];
					$defcomporta=$rcom['hist'];
		   ?>
			   <tr>
				 <td ><?php echo $faltas[0]; ?></td>
				 <td ><?php echo $faltas[1]; ?></td>
				 <td ><?php echo $faltas[2]; ?></td>
				 <td ><?php echo ucfirst($defcomporta[1]); ?></td>
				 <td ><?php echo ucfirst($defcomporta[3]); ?></td>
				 <td ><?php echo ucfirst($defcomporta[5]); ?></td>
				 <td ><?php echo ucfirst($defcomporta[7]); ?></td>
			   </tr>
			<?php 
			   endforeach; 
			?>
			
			</table>
	<?php
			echo "<br/><div class='boletin'>OBSERVACIONES:</div>".  $observa;
	?>
			<br><br>
			
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr align="center">
					<td>_________________________________<br>
				        <?php echo ucwords($nom_rector) ?><br>
						Rector
					</td>
					<td>_________________________________<br>
				        <?php echo ucwords($nom_cordin) ?><br>
						Cordinador Académico
					</td>
				</tr>
				<tr align="center">
					<td colspan="2">
						<br><br><br>_________________________________<br>
						<?php echo ucwords($nom_rector) ?><br>
						Director de Grupo</td> 
				</tr>
			</table>

			
	<?php
			echo "</div><hr>";//cirra la pagina
		}while($row=$academia->extraer_registro());
		$academia->liberar();
	?>
</body>
</html>
